<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>TicketAddController</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TicketAddController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TicketAddController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">controller</a></div>
<h2 title="Class TicketAddController" class="title">Class TicketAddController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Controller.html" title="class in controller">controller.Controller</a></li>
<li>
<ul class="inheritance">
<li>controller.TicketAddController</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">TicketAddController</span>
extends <a href="Controller.html" title="class in controller">Controller</a></pre>
<div class="block">Controller of actions for new issuance of tickets</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ADDPERSON">ACTION_ADDPERSON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_CONFIRM">ACTION_CONFIRM</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_DATE">ACTION_DATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_DELPERSON">ACTION_DELPERSON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_LIST">ACTION_LIST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_MODPERSON">ACTION_MODPERSON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_TYPE">ACTION_TYPE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#confirmed">confirmed</a></span></code></th>
<td class="colLast">
<div class="block">Indicates if the ticket is confirmed and posted</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_NO_ADD_PERSON">ERROR_NO_ADD_PERSON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_NO_DATE">ERROR_NO_DATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_ADDPERSON">MENU_TEXT_ADDPERSON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_CAPTION">MENU_TEXT_CAPTION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_CONFIRM">MENU_TEXT_CONFIRM</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_DATE">MENU_TEXT_DATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_DELPERSON">MENU_TEXT_DELPERSON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_EXIT">MENU_TEXT_EXIT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_LIST">MENU_TEXT_LIST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_MODPERSON">MENU_TEXT_MODPERSON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_TYPE">MENU_TEXT_TYPE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_NEW_AGE">TEXT_NEW_AGE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_NEW_DATE">TEXT_NEW_DATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_NEW_HEIGHT">TEXT_NEW_HEIGHT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_SELECT_PERSON">TEXT_SELECT_PERSON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ticket">ticket</a></span></code></th>
<td class="colLast">
<div class="block">Structure with the data of the entrance of the group of people.</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">TicketAddController</a></span>()</code></th>
<td class="colLast">
<div class="block">Contructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionAddPerson()">actionAddPerson</a></span>()</code></th>
<td class="colLast">
<div class="block">Add a new person according to the age and height entered</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionConfirm()">actionConfirm</a></span>()</code></th>
<td class="colLast">
<div class="block">Mark the ticket as correct and accepted</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionList()">actionList</a></span>()</code></th>
<td class="colLast">
<div class="block">List group of persons</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionModifyPerson()">actionModifyPerson</a></span>()</code></th>
<td class="colLast">
<div class="block">List and request to user that person to modify</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionRemovePerson()">actionRemovePerson</a></span>()</code></th>
<td class="colLast">
<div class="block">Remove the person indicated by the user from the list</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionRequestDate()">actionRequestDate</a></span>()</code></th>
<td class="colLast">
<div class="block">Request a date from the user to update the ticket
 Only updated if the date is equal or greater than current date</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionRequestType()">actionRequestType</a></span>()</code></th>
<td class="colLast">
<div class="block">Request a basic ticket type</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code><a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOptionCaption(tools.MenuItem)">getOptionCaption</a></span>&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Returns an optional caption for an item menu</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code><a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTicket()">getTicket</a></span>()</code></th>
<td class="colLast">
<div class="block">Get structure with the data of the entrance of the group of people</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isConfirmed()">isConfirmed</a></span>()</code></th>
<td class="colLast">
<div class="block">It allows to know if the ticket is confirmed and published.</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listPersons()">listPersons</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays the list of people on the screen</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#modifyPerson(int)">modifyPerson</a></span>&#8203;(int&nbsp;personIndex)</code></th>
<td class="colLast">
<div class="block">Modify the characteristics of the person indicated</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requestPerson()">requestPerson</a></span>()</code></th>
<td class="colLast">
<div class="block">Display the list of people and request a user</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.controller.Controller">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;controller.<a href="Controller.html" title="class in controller">Controller</a></h3>
<code><a href="Controller.html#execMenu()">execMenu</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="ACTION_ADDPERSON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ADDPERSON</h4>
<pre>private static final&nbsp;int ACTION_ADDPERSON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.ACTION_ADDPERSON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_CONFIRM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_CONFIRM</h4>
<pre>private static final&nbsp;int ACTION_CONFIRM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.ACTION_CONFIRM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_DATE</h4>
<pre>private static final&nbsp;int ACTION_DATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.ACTION_DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_DELPERSON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_DELPERSON</h4>
<pre>private static final&nbsp;int ACTION_DELPERSON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.ACTION_DELPERSON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_LIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_LIST</h4>
<pre>private static final&nbsp;int ACTION_LIST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.ACTION_LIST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_MODPERSON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_MODPERSON</h4>
<pre>private static final&nbsp;int ACTION_MODPERSON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.ACTION_MODPERSON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_TYPE</h4>
<pre>private static final&nbsp;int ACTION_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.ACTION_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_CAPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_CAPTION</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_CAPTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.MENU_TEXT_CAPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_ADDPERSON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_ADDPERSON</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_ADDPERSON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.MENU_TEXT_ADDPERSON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_CONFIRM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_CONFIRM</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_CONFIRM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.MENU_TEXT_CONFIRM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_DATE</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_DATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.MENU_TEXT_DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_DELPERSON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_DELPERSON</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_DELPERSON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.MENU_TEXT_DELPERSON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_EXIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_EXIT</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_EXIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.MENU_TEXT_EXIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_LIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_LIST</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_LIST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.MENU_TEXT_LIST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_MODPERSON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_MODPERSON</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_MODPERSON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.MENU_TEXT_MODPERSON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_TYPE</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.MENU_TEXT_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_NEW_AGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_NEW_AGE</h4>
<pre>private static final&nbsp;java.lang.String TEXT_NEW_AGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.TEXT_NEW_AGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_NEW_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_NEW_DATE</h4>
<pre>private static final&nbsp;java.lang.String TEXT_NEW_DATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.TEXT_NEW_DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_NEW_HEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_NEW_HEIGHT</h4>
<pre>private static final&nbsp;java.lang.String TEXT_NEW_HEIGHT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.TEXT_NEW_HEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_SELECT_PERSON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_SELECT_PERSON</h4>
<pre>private static final&nbsp;java.lang.String TEXT_SELECT_PERSON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.TEXT_SELECT_PERSON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_NO_ADD_PERSON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_NO_ADD_PERSON</h4>
<pre>private static final&nbsp;java.lang.String ERROR_NO_ADD_PERSON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.ERROR_NO_ADD_PERSON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_NO_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_NO_DATE</h4>
<pre>private static final&nbsp;java.lang.String ERROR_NO_DATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.TicketAddController.ERROR_NO_DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="confirmed">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>confirmed</h4>
<pre>private&nbsp;boolean confirmed</pre>
<div class="block">Indicates if the ticket is confirmed and posted</div>
</li>
</ul>
<a id="ticket">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ticket</h4>
<pre>private&nbsp;<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a> ticket</pre>
<div class="block">Structure with the data of the entrance of the group of people.
 It contains all the special features contracted and the final price of it.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TicketAddController</h4>
<pre>public&nbsp;TicketAddController()</pre>
<div class="block">Contructor</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="actionAddPerson()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionAddPerson</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionAddPerson()</pre>
<div class="block">Add a new person according to the age and height entered</div>
</li>
</ul>
<a id="actionConfirm()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionConfirm</h4>
<pre class="methodSignature">private&nbsp;boolean&nbsp;actionConfirm()</pre>
<div class="block">Mark the ticket as correct and accepted</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="actionList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionList</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionList()</pre>
<div class="block">List group of persons</div>
</li>
</ul>
<a id="actionModifyPerson()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionModifyPerson</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionModifyPerson()</pre>
<div class="block">List and request to user that person to modify</div>
</li>
</ul>
<a id="actionRemovePerson()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionRemovePerson</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionRemovePerson()</pre>
<div class="block">Remove the person indicated by the user from the list</div>
</li>
</ul>
<a id="actionRequestDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionRequestDate</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionRequestDate()</pre>
<div class="block">Request a date from the user to update the ticket
 Only updated if the date is equal or greater than current date</div>
</li>
</ul>
<a id="actionRequestType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionRequestType</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionRequestType()</pre>
<div class="block">Request a basic ticket type</div>
</li>
</ul>
<a id="execOption(tools.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execOption</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;execOption&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</pre>
<div class="block">Execute the menu option indicated.
 Menu continue until exit option execute or false return</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#execOption(tools.MenuItem)">execOption</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>menuItem</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="getMenu()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMenu</h4>
<pre class="methodSignature">public&nbsp;<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;getMenu()</pre>
<div class="block">Gets the list of options for the preparation of the menu.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#getMenu()">getMenu</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>MenuItem[]</dd>
</dl>
</li>
</ul>
<a id="getOptionCaption(tools.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOptionCaption</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getOptionCaption&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</pre>
<div class="block">Returns an optional caption for an item menu</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="Controller.html#getOptionCaption(tools.MenuItem)">getOptionCaption</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>menuItem</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getTicket()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTicket</h4>
<pre class="methodSignature">public&nbsp;<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;getTicket()</pre>
<div class="block">Get structure with the data of the entrance of the group of people</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Ticket</dd>
</dl>
</li>
</ul>
<a id="isConfirmed()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConfirmed</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isConfirmed()</pre>
<div class="block">It allows to know if the ticket is confirmed and published.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="listPersons()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listPersons</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;listPersons()</pre>
<div class="block">Displays the list of people on the screen</div>
</li>
</ul>
<a id="modifyPerson(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>modifyPerson</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;modifyPerson&#8203;(int&nbsp;personIndex)</pre>
<div class="block">Modify the characteristics of the person indicated</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>personIndex</code> - </dd>
</dl>
</li>
</ul>
<a id="requestPerson()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>requestPerson</h4>
<pre class="methodSignature">private&nbsp;int&nbsp;requestPerson()</pre>
<div class="block">Display the list of people and request a user</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TicketAddController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
